Skip to content

getStorageUnitRoots

READ

Get storage unit roots.

POST /api/v1/inventory/getStorageUnitRoots
curl -X POST '<your-host>/api/v1/inventory/getStorageUnitRoots' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "ancestorPath": [
        "string"
      ],
      "companyId": "string",
      "depth": 0,
      "id": "string",
      "locationId": "string",
      "name": "string",
      "parentId": "string",
      "storageTypeIds": [
        "string"
      ],
      "warehouseId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  },
  "required": [
    "locationId",
    "args"
  ]
}